GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::QueryStudy Class Reference

QueryStudy.h contains: class to construct a study-based query for C-FIND and C-MOVE. More...

`#include <gdcmQueryStudy.h>`

Inheritance diagram for gdcm::QueryStudy:
[legend]
Collaboration diagram for gdcm::QueryStudy:
[legend]

List of all members.

## Public Member Functions

std::string | GetName () const
std::vector< Tag > | GetOptionalTags (const ERootType &inRootType) const
DataElement | GetQueryLevel () const
std::vector< Tag > | GetRequiredTags (const ERootType &inRootType) const
std::vector< Tag > | GetUniqueTags (const ERootType &inRootType) const

## Detailed Description

QueryStudy.h contains: class to construct a study-based query for C-FIND and C-MOVE.

## Member Function Documentation

std::string gdcm::QueryStudy::GetName | ( |  | ) | const`[inline, virtual]`

Implements gdcm::QueryBase.

std::vector<Tag> gdcm::QueryStudy::GetOptionalTags | ( | const ERootType & | inRootType | ) | const`[virtual]`

Implements gdcm::QueryBase.

DataElement gdcm::QueryStudy::GetQueryLevel | ( |  | ) | const`[virtual]`

Implements gdcm::QueryBase.

std::vector<Tag> gdcm::QueryStudy::GetRequiredTags | ( | const ERootType & | inRootType | ) | const`[virtual]`

Implements gdcm::QueryBase.

std::vector<Tag> gdcm::QueryStudy::GetUniqueTags | ( | const ERootType & | inRootType | ) | const`[virtual]`

Implements gdcm::QueryBase.

The documentation for this class was generated from the following file:

- gdcmQueryStudy.h